POFILECHECKER(1)

NAME
POFileChecker - searches for common mistakes in PO/POT files

SYNOPSIS

POFileChecker [OPTION] [...] [FILE] [...]

INTRODUCTION

POFileChecker searches for common mistakes in PO/POT files.

COMMAND LINE OPTIONS

--help or -h
    show usage instructions

--pot or -t
    check a pot file, not a po file

--ignore-fuzzy or -i
    don't check validity of fuzzy entries

PO FILE HEADER DIRECTIVES

POFileChecker recognizes several PO file header directives. As with all gettext lint tools, these directives are all prefixed with X-POFile.

X-POFile-Allow: number
    number of errors to ignore; if number of detected errors is diffent than this they will all be reported; a file with 0 errors but an error allowance greater than zero will also be reported

X-POFile-CheckAccelerator: 1|0
    enable or disable checking accelerators, enabled by default

X-POFile-CheckEndPontuation: 1|0
    enable or disable checking ending pontuation, enabled by default

X-POFile-LineLength: number
    check that the line length doesn't exceed number chars; disable by default

MORE INFORMATION

gettext-lint web page: http://gettext-lint.sourceforge.net/

AUTHOR
Pedro Morais.
<morais@kde.org>